unit personas;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Grids, DBGrids, Buttons, DB;

type
  TfPersonas = class(TForm)
    PnlDati: TPanel;
    dbgGramatas: TDBGrid;
    BtnPievienot: TBitBtn;
    BtnDzest: TBitBtn;
    BtnBeigt: TBitBtn;
    BtnApstip: TBitBtn;
    BtnAtcelt: TBitBtn;
    procedure sPersonasStateChange(Sender: TObject);
    procedure BtnPievienotClick(Sender: TObject);
    procedure BtnDzestClick(Sender: TObject);
    procedure BtnBeigtClick(Sender: TObject);
    procedure BtnApstipClick(Sender: TObject);
    procedure BtnAtceltClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fPersonas: TfPersonas;

implementation

uses DatuModulis;

{$R *.DFM}

procedure TfPersonas.sPersonasStateChange(Sender: TObject);
var
   Statuss : TDataSetState;
begin
   Statuss := DM.sPersonas.State;
   case Statuss of
      dsInactive :
         begin
            btnPievienot.Enabled := FALSE;
            btnDzest.Enabled     := FALSE;
            btnApstip.Enabled    := FALSE;
            btnAtcelt.Enabled    := FALSE;
         end;
      dsBrowse   :
         begin
            btnPievienot.Enabled := TRUE;
            btnDzest.Enabled     := TRUE;
            btnApstip.Enabled    := FALSE;
            btnAtcelt.Enabled    := FALSE;
         end;
      dsInsert   :
         begin
            btnPievienot.Enabled := FALSE;
            btnDzest.Enabled     := FALSE;
            btnApstip.Enabled    := TRUE;
            btnAtcelt.Enabled    := TRUE;
         end;
      dsEdit     :
         begin
            btnPievienot.Enabled := FALSE;
            btnDzest.Enabled     := FALSE;
            btnApstip.Enabled    := TRUE;
            btnAtcelt.Enabled    := TRUE;
         end;
   end;
end;

procedure TfPersonas.BtnPievienotClick(Sender: TObject);
begin
   DM.tPersonas.Append;
   dbgGramatas.SetFocus;
end;

procedure TfPersonas.BtnDzestClick(Sender: TObject);
begin
   DM.tPersonas.Delete;
   dbgGramatas.SetFocus;
end;

procedure TfPersonas.BtnBeigtClick(Sender: TObject);
begin
   Close;
end;

procedure TfPersonas.BtnApstipClick(Sender: TObject);
begin
   DM.tPersonas.Post;
   dbgGramatas.SetFocus;
end;

procedure TfPersonas.BtnAtceltClick(Sender: TObject);
begin
   DM.tPersonas.Cancel;
   dbgGramatas.SetFocus;
end;

procedure TfPersonas.FormClose(Sender: TObject; var Action: TCloseAction);
var
   Statuss : TDataSetState;
begin
   Statuss := DM.sPersonas.State;
   if ( Statuss = dsInsert ) or ( Statuss = dsEdit ) then
      case MessageDlg('Vai saglabt izmaias ?',mtConfirmation,[mbYes,mbNo,mbCancel],0 ) of
      mrYes    : DM.tPersonas.Post;
      mrNo     : DM.tPersonas.Cancel;
      mrCancel :
         begin
            dbgGramatas.SetFocus;
            Abort;
         end;
      end;
end;

end.
